module Sociable
  extend ActiveSupport::Concern

  included do
    has_many :views, as: :viewable
    has_many :downloads, as: :downloadable
    has_many :likes, as: :likeable
    has_many :shares, as: :shareable
  end

end