module OrientDb
  module Methods
    module FinderMethods

      def get_by_rid(rid)
        connection.get_document(rid)
      end

      def select_by_property(from, prop_name, prop_value)
        connection.query sprintf("SELECT FROM %s WHERE %s = '%s'", from, prop_name, prop_value)
      end

      def get_number_of(element)
        result = (connection.query sprintf("SELECT COUNT(@rid) FROM %s", element))[0]["COUNT"]
        result
      end

      def find(id)
        result = get_by_rid(CGI::unescape(id))
        build_object result
      end

      def all
        objects_hash = connection.query "SELECT FROM #{odb_class}", :limit => -1
        build_objects(objects_hash) || []
      end

      def all_from_offset_to_limit(offset, limit)
        objects_hash = connection.query "SELECT FROM #{odb_class} LIMIT #{limit} SKIP #{offset}", :limit => limit
        build_objects(objects_hash) || []
      end

    end
  end
end
